From b70310b76046d51e9c3420c948a4d9ead7d1d69d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 23 2021 02:06:08 +0000
Subject: [PATCH 2143/2232] Remove unneeded pointer parse check


A pointer with neither `const` nor `mut` would not have parsed as a
syn::Type::Ptr.

---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index 0050de9..51b5e4b 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -1100,9 +1100,6 @@ fn parse_type_ptr(ty: &TypePtr) -> Result<Type> {
     let mutable = ty.mutability.is_some();
     let constness = ty.const_token;
     let mutability = ty.mutability;
-    if !constness.is_some() && !mutable {
-        return Err(Error::new_spanned(ty, "pointer is neither const nor mut"));
-    }
 
     let inner = parse_type(&ty.elem)?;
 

